Bug 110420 - network not restarting after suspend on french installation of redhat linux 9.0
Summary: network not restarting after suspend on french installation of redhat linux 9.0
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: apmd (Show other bugs)
(Show other bugs)
Version: 9
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
: 111484 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-11-19 14:00 UTC by dominique delamarre
Modified: 2014-03-17 02:40 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-19 17:21:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description dominique delamarre 2003-11-19 14:00:42 UTC
Description of problem:
using Redhat Linux 9.0 installed with french language on a laptop
either Compaq armada M700 or IBM thinkpad R40, after suspending
(e.g. using apm -s), the network has to be restarted by hand.

Version-Release number of selected component (if applicable):
APM BIOS 1.2 (kernel driver 1.16)
apmscript,v 1.9 2003/02/21 01:05:59

How reproducible:


Steps to Reproduce:
1. install redhat 9.0 using french language
2. suspend using "apm -s"
3. awake computer
  
Actual results:
network is inactive, has to be restarted by hand (e.g. ifconfig or
gnome network configuration tool)

Expected results:
network should be restarted when getting out of supended mode

Additional info:

after investigating a bit; it seems related to
/etc/sysconfig/apm-scripts/apmscript :
calling LC_ALL=C /etc/init.d/network status gives : 

Périphériques configurés :
lo eth0
Périphériques actifs :
eth0

in french while the script pipes the command on :
 LC_ALL=C grep -A1 "Currently active devices" |tail -n1`

Comment 1 Bill Nottingham 2003-11-19 17:21:26 UTC
This should be fixed in Fedora Core 1.

Comment 2 Bill Nottingham 2003-12-04 16:46:55 UTC
*** Bug 111484 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.